Skip to main content

Documentation Index

Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

0.015 credits per call

trace_rawTransaction on Arbitrum: Returns Parity-style traces for a raw, signed transaction without broadcasting it.
trace_rawTransaction requires archive depth. See the debug & trace matrix for Arbitrum archive coverage.

Endpoint

https://rpc.goldrushdata.com/v1/arbitrum-mainnet
Authenticate with Authorization: Bearer <YOUR_GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
rawTransactionDATAyesRLP-encoded, signed transaction."0xf86c808504a817c800825208943535353535353535353535353535353535353535880de0b6b3a76400008025a0..."
traceTypesArray<String>yesTrace types to include. One or more of trace, vmTrace, stateDiff.["trace", "stateDiff"]

Returns

Object: {output, trace[], stateDiff?, vmTrace?}
{"output":"0x","trace":[{"action":{"from":"0x...","to":"0x...","value":"0xde0b6b3a7640000"},"result":{"gasUsed":"0x5208"},"type":"call"}]}

Examples

curl https://rpc.goldrushdata.com/v1/arbitrum-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "trace_rawTransaction",
    "params": ["0xf86c808504a817c800825208943535353535353535353535353535353535353535880de0b6b3a76400008025a0...", ["trace", "stateDiff"]]
  }'

Errors

Standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.

Also available on